{
  "name": "csms",
  "type": "module",
  "scripts": {
    "dev": "tsx watch src/index.ts",
    "build": "node esbuild.config.js",
    "build:prod": "NODE_ENV=production node esbuild.config.js",
    "start": "node dist/index.js",
    "db:gen:auth": "npx @better-auth/cli generate --output src/db/auth-schema.ts",
    "db:gen": "drizzle-kit generate",
    "db:migrate": "drizzle-kit migrate",
    "db:push": "drizzle-kit push"
  },
  "dependencies": {
    "@better-auth/passkey": "catalog:",
    "@hono/node-server": "^1.19.6",
    "@hono/node-ws": "^1.2.0",
    "@hono/zod-validator": "^0.7.6",
    "better-auth": "catalog:",
    "dayjs": "catalog:",
    "dotenv": "^17.2.3",
    "drizzle-orm": "^0.44.7",
    "hono": "^4.10.6",
    "pg": "^8.16.3",
    "zod": "^4.3.6"
  },
  "devDependencies": {
    "@better-auth/cli": "^1.3.34",
    "@types/node": "^20.11.17",
    "@types/pg": "^8.15.6",
    "drizzle-kit": "^0.31.7",
    "esbuild": "^0.27.0",
    "tsx": "^4.20.6",
    "typescript": "^5.8.3"
  }
}